Show / Hide Table of Contents

# Class SqlToolsContext

Context for SQL Tools

##### Inheritance

System.Object
SqlToolsContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.SqlContext

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SqlToolsContext

### Constructors

| Improve this Doc View Source

#### SqlToolsContext(HostDetails)

Initalizes the SQL Tools context instance

##### Declaration

    public SqlToolsContext(HostDetails hostDetails)

##### Parameters

Type | Name | Description
--- | --- | ---
HostDetails | hostDetails |

### Properties

| Improve this Doc View Source

#### SqlToolsVersion

Gets the PowerShell version of the current runspace.

##### Declaration

    public Version SqlToolsVersion { get; }

##### Property Value

Type | Description
--- | ---
System.Version |